package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TFireapprovalMapper;
import com.ruoyi.project.ehs.domain.TFireapproval;
import com.ruoyi.project.ehs.service.ITFireapprovalService;

import javax.annotation.Resource;

/**
 * 消防批文清单Service业务层处理
 *
 * @author ruoyi
 * @date 2020-11-27
 */
@Service
public class TFireapprovalServiceImpl implements ITFireapprovalService
{
    @Resource
    private TFireapprovalMapper tFireapprovalMapper;

    /**
     * 查询消防批文清单
     *
     * @param id 消防批文清单ID
     * @return 消防批文清单
     */
    @Override
    public TFireapproval selectTFireapprovalById(Long id)
    {
        return tFireapprovalMapper.selectTFireapprovalById(id);
    }

    /**
     * 查询消防批文清单列表
     *
     * @param tFireapproval 消防批文清单
     * @return 消防批文清单
     */
    @Override
    public List<TFireapproval> selectTFireapprovalList(TFireapproval tFireapproval)
    {
        return tFireapprovalMapper.selectTFireapprovalList(tFireapproval);
    }

    /**
     * 定时任务查询消防批文清单列表
     *
     * @param tFireapproval 消防批文清单
     * @return 消防批文清单集合
     */
    @Override
    public List<TFireapproval> selectList(TFireapproval tFireapproval) {
        return tFireapprovalMapper.selectList(tFireapproval);
    }

    /**
     * 新增消防批文清单
     *
     * @param tFireapproval 消防批文清单
     * @return 结果
     */
    @Override
    public int insertTFireapproval(TFireapproval tFireapproval)
    {
        return tFireapprovalMapper.insertTFireapproval(tFireapproval);
    }

    /**
     * 修改消防批文清单
     *
     * @param tFireapproval 消防批文清单
     * @return 结果
     */
    @Override
    public int updateTFireapproval(TFireapproval tFireapproval)
    {
        return tFireapprovalMapper.updateTFireapproval(tFireapproval);
    }

    /**
     * 批量删除消防批文清单
     *
     * @param ids 需要删除的消防批文清单ID
     * @return 结果
     */
    @Override
    public int deleteTFireapprovalByIds(Long[] ids)
    {
        return tFireapprovalMapper.deleteTFireapprovalByIds(ids);
    }

    /**
     * 删除消防批文清单信息
     *
     * @param id 消防批文清单ID
     * @return 结果
     */
    @Override
    public int deleteTFireapprovalById(Long id)
    {
        return tFireapprovalMapper.deleteTFireapprovalById(id);
    }
}
